> ## Documentation Index
> Fetch the complete documentation index at: https://www.renderjuice.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job progress

> Current progress for a specific job.



## OpenAPI

````yaml https://www.renderjuice.com/docs/reference/renderjuice-api-sample.json get /jobs/{id}/progress
openapi: 3.0.0
info:
  title: Renderjuice External API
  version: 0.0.1
  description: External API surface generated from the /api/external/v1 manifest.
servers:
  - url: https://api.renderjuice.com/api/external/v1
security:
  - ApiKeyAuth: []
paths:
  /jobs/{id}/progress:
    get:
      tags:
        - Jobs
      summary: Get job progress
      description: Current progress for a specific job.
      parameters:
        - schema:
            type: string
            format: uuid
            example: 123e4567-e89b-12d3-a456-426614174000
            description: Unique identifier of the job
          required: true
          description: Unique identifier (UUID) of the job
          name: id
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobProgressResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    JobProgressResponse:
      type: object
      nullable: true
      properties:
        jobId:
          type: string
          example: 123e4567-e89b-12d3-a456-426614174000
          description: Unique identifier of the job
        completedFrames:
          type: number
          example: 50
          description: Number of frames that have been completed
        totalFrames:
          type: number
          example: 100
          description: Total number of frames to render
      required:
        - jobId
        - completedFrames
        - totalFrames
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: RJ-XXX...
      description: >-
        API key authentication. Format: `Bearer RJ-XXX...`. Get your API key
        from the Renderjuice dashboard.

````